void handleInput(){
	mouse = MouseInfo.getPointerInfo().getLocation(); 

	mouseDx = mouse.x - prevMouse.x;
	mouseDy = mouse.y - prevMouse.y;
	prevMouse = mouse;

	final int mouseBox = 100;
	final int mouseMinX = width/2 - mouseBox;
	final int mouseMaxX = width/2 + mouseBox;
	final int mouseMinY = height/2 - mouseBox;
	final int mouseMaxY = height/2 + mouseBox;

	//Ensure the mouse doesn't leave the screen
	if ( (mouseX < mouseMinX) || (mouseX > mouseMaxX) || (mouseY < mouseMinY) || (mouseY > mouseMaxY) ){
		prevMouse.x = frame.getLocation().x + width/2;
		prevMouse.y = frame.getLocation().y + height/2;
		robot.mouseMove(prevMouse.x, prevMouse.y);
	}
	
	entities.handleInput();
}

void mouseWheel(int wheelDelta){
  if ( playerShip == null ){
	return;
  }

  //Up = lengthen, down = shorten
  wheelDelta = - wheelDelta;
  float delta = 0;
  
  if ( wheelDelta > 0 ){
    delta = beamExtensionSpeed * wheelDelta;
  } else {
    delta = beamContractionSpeed * wheelDelta;
  }
  
  playerShip.beamJoint.m_length = constrain(
    playerShip.beamJoint.m_length + delta, 
    minBeamLength + shipRadius + hookRadius, 
    maxBeamLength + shipRadius + hookRadius
  );
}
